We are please to announce that all our skins are compatible with vBulletin® Version 3.8.4.

When installing skin in select YES in "Ignore Style Version" option.

Thanks

KJ